# eric4.E4XML.MultiProjectHandler

Module implementing the handler class for reading an XML multi project file.

### Global Attributes

None

### Classes

MultiProjectHandler | Class implementing a sax handler to read an XML multi project file.

### Functions

None

## MultiProjectHandler

Class implementing a sax handler to read an XML multi project file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Class Methods

None

### Methods

MultiProjectHandler | Constructor
endDescription | Handler method for the "Description" end tag.
endProject | Handler method for the "Project" end tag.
endProjectDescription | Handler method for the "ProjectDescription" end tag.
endProjectFile | Handler method for the "ProjectFile" end tag.
endProjectName | Handler method for the "ProjectName" end tag.
getVersion | Public method to retrieve the version of the project.
startDocumentMultiProject | Handler called, when the document parsing is started.
startMultiProject | Handler method for the "MultiProject" start tag.
startProject | Handler method for the "Project" start tag.

### Static Methods

None

#### MultiProjectHandler (Constructor)

MultiProjectHandler(multiProject)

Constructor

multiProject
  Reference to the multi project object to store the information into.

#### MultiProjectHandler.endDescription

endDescription()

Handler method for the "Description" end tag.

#### MultiProjectHandler.endProject

endProject()

Handler method for the "Project" end tag.

#### MultiProjectHandler.endProjectDescription

endProjectDescription()

Handler method for the "ProjectDescription" end tag.

#### MultiProjectHandler.endProjectFile

endProjectFile()

Handler method for the "ProjectFile" end tag.

#### MultiProjectHandler.endProjectName

endProjectName()

Handler method for the "ProjectName" end tag.

#### MultiProjectHandler.getVersion

getVersion()

Public method to retrieve the version of the project.

Returns:
  String containing the version number.

#### MultiProjectHandler.startDocumentMultiProject

startDocumentMultiProject()

Handler called, when the document parsing is started.

#### MultiProjectHandler.startMultiProject

startMultiProject(attrs)

Handler method for the "MultiProject" start tag.

attrs
  list of tag attributes

#### MultiProjectHandler.startProject

startProject(attrs)

Handler method for the "Project" start tag.

attrs
  list of tag attributes

Up